Skip to content

API AND WEBHOOK

API and webhook documentation

Read published aggregate results into your dashboard with the API. Get a webhook notification when a survey opens or closes.

Video 5 · Exports, API and webhooksReduced motion: press to play
20 sec · Transcript

Where do results go when the survey ends? Get notified when the survey closes. Bring results into your system. Get results where you work. lttr.io/demo · Try it free for 14 days.

Authentication

Send your API key as a Bearer token in the Authorization header.

Reading results

Use the results:read scope to read aggregate results.

GET /api/v1/surveys/{surveyId}/results

Webhook events

Receive a notification at your HTTPS endpoint when a survey is published or closed.

Error codes

401 indicates invalid credentials, 403 insufficient access and 429 a rate limit.

OpenAPI